## net.sf.antcontrib.net.httpclient
Class GetCookieTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask
                  net.sf.antcontrib.net.httpclient.GetCookieTask

    public class GetCookieTask

extends AbstractHttpStateTypeTask

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`GetCookieTask()`

Method Summary
`protected void` `execute(HttpStateType stateType)`
`void` `setCookiePolicy(java.lang.String cookiePolicy)`
`void` `setName(java.lang.String name)`
`void` `setPath(java.lang.String path)`
`void` `setPort(int port)`
`void` `setProperty(java.lang.String property)`
`void` `setRealm(java.lang.String realm)`
`void` `setSecure(boolean secure)`

Methods inherited from class net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask
`createCredentials, execute, setStateRefId`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCookieTask

    public GetCookieTask()

Method Detail

### setName

    public void setName(java.lang.String name)

### setCookiePolicy

    public void setCookiePolicy(java.lang.String cookiePolicy)

### setPath

    public void setPath(java.lang.String path)

### setPort

    public void setPort(int port)

### setRealm

    public void setRealm(java.lang.String realm)

### setSecure

    public void setSecure(boolean secure)

### setProperty

    public void setProperty(java.lang.String property)

### execute

    protected void execute(HttpStateType stateType)
                    throws org.apache.tools.ant.BuildException

  Specified by:
    `execute` in class `AbstractHttpStateTypeTask`
  Throws:
    `org.apache.tools.ant.BuildException`